<TeXmacs|1.99.5>

<style|<tuple|generic|caas>>

<\body>
  <\hide-preamble>
    \;

    <assign|calc-inert|<macro|ref|in|<with|color|#4040C0|<arg|in>>>>
  </hide-preamble>

  <doc-data|<doc-title|Repeated differentiation>>

  <\example>
    Let <math|g <around*|(|x|)>=<calc-inert|g|sin<around*|(|x|)>>>. Then

    <\eqnarray*>
      <tformat|<table|<row|<cell|g <around*|(|x|)>>|<cell|=>|<cell|<calc-output|g2|<calc-ref|g>|<math|sin<around*|(|x|)>>>>>|<row|<cell|g<rprime|'>
      <around*|(|x|)>>|<cell|=>|<cell|<calc-output|dg|derive<around*|(|<calc-ref|g>,x|)>|<math|cos<around*|(|x|)>>>>>|<row|<cell|g<rprime|''>
      <around*|(|x|)>>|<cell|=>|<cell|<calc-output|ddg|derive<around*|(|<calc-ref|g>,x,x|)>|<math|-sin<around*|(|x|)>>>>>|<row|<cell|g<rprime|'''>
      <around*|(|x|)>>|<cell|=>|<cell|<calc-output|dddg|derive<around*|(|<calc-ref|g>,x,x,x|)>|<math|-cos<around*|(|x|)>>>>>|<row|<cell|g<rprime|''''><around*|(|x|)>>|<cell|=>|<cell|<calc-output|ddddg|derive<around*|(|<calc-ref|g>,x,x,x,x|)>|<math|sin<around*|(|x|)>>>>>>>
    </eqnarray*>

    Can you give other examples of functions <math|g <around*|(|x|)>> with
    <math|g<rprime|''''> <around*|(|x|)>=g <around*|(|x|)>>?
  </example>

  <\example>
    Let <math|f <around*|(|x|)>=<calc-inert|f|x<rsup|x>>>. Then

    <\eqnarray*>
      <tformat|<cwith|1|-1|1|-1|cell-bsep|0.5spc>|<cwith|1|-1|1|-1|cell-tsep|0.5spc>|<table|<row|<cell|f
      <around*|(|x|)>>|<cell|=>|<cell|<calc-output|f2|<calc-ref|f>|<math|x<rsup|x>>>>>|<row|<cell|f<rprime|'>
      <around*|(|x|)>>|<cell|=>|<cell|<calc-output|df|derive<around*|(|<calc-ref|f>,x|)>|<math|<around*|(|log<around*|(|x|)>+1|)>*x<rsup|x>>>>>|<row|<cell|f<rprime|''>
      <around*|(|x|)>>|<cell|=>|<cell|<calc-output|ddf|derive<around*|(|<calc-ref|f>,x,x|)>|<math|<around*|(|log<around*|(|x|)>+1|)><rsup|2>*x<rsup|x>+<frac|x<rsup|x>|x>>>>>|<row|<cell|f<rprime|'''>
      <around*|(|x|)>>|<cell|=>|<cell|<calc-output|dddf|derive<around*|(|<calc-ref|f>,x,x,x|)>|<math|<around*|(|log<around*|(|x|)>+1|)><rsup|3>*x<rsup|x>+3*<frac|<around*|(|log<around*|(|x|)>+1|)>*x<rsup|x>|x>-<frac|x<rsup|x>|x<rsup|2>>>>>>|<row|<cell|f<rprime|''''>
      <around*|(|x|)>>|<cell|=>|<cell|<calc-output|ddddf|derive<around*|(|<calc-ref|f>,x,x,x,x|)>|<math|6*<frac|<around*|(|log<around*|(|x|)>+1|)><rsup|2>*x<rsup|x>|x>-4*<frac|<around*|(|log<around*|(|x|)>+1|)>*x<rsup|x>|x<rsup|2>>+<around*|(|log<around*|(|x|)>+1|)><rsup|4>*x<rsup|x>+2*<frac|x<rsup|x>|x<rsup|3>>+3*<frac|x<rsup|x>|x<rsup|2>>>>>>>>
    </eqnarray*>
  </example>
</body>

<\initial>
  <\collection>
    <associate|font|Cuprum>
    <associate|magnification|1.4>
    <associate|prog-scripts|caas>
  </collection>
</initial>